%define	debug_package	%{nil} 

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

%if 0%{?centos} == 6 || 0%{?rhel} == 6
%global         with_python2 1
%endif

%if 0%{?fedora} || 0%{?centos} >= 7 || 0%{?rhel} >= 7
%global         with_python3 1
%endif

Name:		libfsext
Version:	20231129
Release:	1%{?dist}
Summary:	Library to access the Extended File System (ext) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfsext/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool fuse-devel
              
%description
libfsext is a library to access the Extended File System (ext) format

%package devel
Summary: Header files and libraries for developing applications for libfsext
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfsext.

%package tools
Summary: Several tools for reading Extended File System (ext) volumes
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description tools
Several tools for reading the Extended File System (ext) volumes

%if 0%{?with_python2}
%package python2
Summary: Python bindings for libfsext
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python bindings for libfsext
%endif
3
n3_pkgversion}
%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libfsext
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libfsext
%endif

%prep
%setup -q

%build
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python3
%endif
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python2
%endif

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfsext.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python2*/site-packages/*.la
%endif
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Wed Nov 29 2023 Lawrence R. Rogers <lrr@cert.org> 20231129-1
* Release 20231129-1
	Version as of 20231129.

* Sat Jun 03 2023 Lawrence R. Rogers <lrr@cert.org> 20230603-1
* Release 20230603-1
	Version as of 20230603.

* Mon Aug 29 2022 Lawrence R. Rogers <lrr@cert.org> 20220829-1
* Release 20220829-1
	Version from 20220829

* Sun May 29 2022 Lawrence R. Rogers <lrr@cert.org> 20220520-1
* Release 20220529-1
	Version from 20220529

* Sat Mar 19 2022 Lawrence R. Rogers <lrr@cert.org> 20220319-1
* Release 20220319-1
	Version from 20220319

* Wed Feb 16 2022 Lawrence R. Rogers <lrr@cert.org> 20220216-1
* Release 20220216-1
	Version from 20220216

* Wed Jan 12 2022 Lawrence R. Rogers <lrr@cert.org> 20220112-1
* Release 20220112-1
	Version from 20220112

* Wed Jul 21 2021 Lawrence R. Rogers <lrr@cert.org> 20210721-1
* Release 20210721-1
	Version from 20210721

* Sat May 22 2021 Lawrence R. Rogers <lrr@cert.org> 20210522-1
* Release 20210522-1
	Version from 20210522

* Tue May  4 2021 Lawrence R. Rogers <lrr@cert.org> 20210504-1
* Release 20210504-1
	Version from 20210504

* Sat Apr 24 2021 Lawrence R. Rogers <lrr@cert.org> 20210424-1
* Release 20210424-1
	Version from 20210424

* Fri Jan 29 2021 Lawrence R. Rogers <lrr@cert.org> 20210129-1
* Release 20210129-1
	Version from 20210129

* Mon Sep 21 2020 Lawrence R. Rogers <lrr@cert.org> 20200819-2
* Release 20200819-2
	CentOS/RHEL 7 Python 3 version now correctly named libfsext-python36.

* Wed Aug 19 2020 Lawrence R. Rogers <lrr@cert.org> 20200819-1
* Release 20200819-1
	Version from 20200819

* Tue Aug 11 2020 Lawrence R. Rogers <lrr@cert.org> 20200811-1
* Release 20200811-1
	Version from 20200811

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20190115-2
* Release 20190115-2
        Release 2 - Rebuilt for Python 3.6 for CentOS/RHEL 7.
		    -python packages renamed to -python2.
		    Removed conflicts when that arise when python2 and python 3
			versions are attempted to be installed on a system.

* Tue Jan 15 2019 Lawrence R. Rogers <lrr@cert.org> 20190115-1
* Release 20190115-1
	Version from 20190115

* Thu Nov  1 2018 Lawrence R. Rogers <lrr@cert.org> 20181101-1
* Release 20181101-1
	Version from 20181101

* Tue Jul  4 2017 Joachim Metz <joachim.metz@gmail.com> 20170624-1
- Auto-generated

